<template>
  <view class="AboutUs">
    <u-parse :html="content"></u-parse>
    <u-toast ref="uToast" />
  </view>
</template>

<script>
  import {
    aboutUs
  } from '@/apis/interfaces/setting'
  export default {
    data() {
      return {
        content: ''
      };
    },

    onLoad(e) {
      this.getInfo()
    },
    methods: {
      getInfo() {
        aboutUs().then(res => {
          this.content = res.content
        }).catch(err => {
          this.$refs.uToast.show({
            title: err.message,
            type: 'primary',
            duration: 3000
          })
        })
      }
    }
  }
</script>

<style lang="scss" scoped>
    .AboutUs{
      padding: 30rpx;
	  width: 100%;
	  min-height: 100vh;
	  background-color: #fff;
    }
</style>
